#ifndef MISC_H
#define MISC_H

// --- Constants ---------------------------------------------------------------

static const double pi=3.141592653589793; // pi=3,141 592 653 589 793

// --- Prototypes of functions -------------------------------------------------

double deg2rad(double val); // converts decimal degrees to radians
double gr2deg(double val); // converts grads to decimal degrees
double sq(double val); // returns square of <val>
double cube(double val); // returns cubic of <val>

// converts decimal degrees to degrees-minutes-seconds
int deg2dmm(char *result, double val, unsigned short cp);

// converts string to lower case
void strtolower(char *str, char *src);

// returns part of a string
int substr(char *str, const char *src, unsigned int start, unsigned int length);

#endif
